gnome-games-2.14.2

Arnie Stender astender at aagstender.org
Thu Sep 7 19:11:21 PDT 2006


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dan Nicholson wrote:

> Hmm. You should have
> ${GNOME_PREFIX}/etc/gconf/schemas/mahjongg.schemas. Does that exist?
> It should be installed by gnome-games. Are you installing into a
> DESTDIR, or directly to /? Also, what's the output from `gconftool-2
> --get-default-source`?
> 
> I'm not a GConf expert, but maybe we can figure out what's going on.
> 
> -- 
> Dan
Dan/David,
	I'm going to answer both replies in this one message. Thanks to both of
you. First off, I tried running modified versions of the scripts you
sent. I'm trying to run gnome-games-2.14.2 and in that version there is
no gnome-games-2.14.2/gconf/schemas directory. So I created one and
copied the *.schemas into it from each of the game source directories. I
ran the other commands manually. I still get the pop-up so I tried
copying all the .schemas files into /usr/etc/gconf/schmeas. I also have
a /etc/gconf/schmeas directory so I copied all the files there as well.
I still get the pop-up. In answer to Dan's questions: no the file
doesn't exist. Running the gconftool command get me
"xml:merged:/etc/gnome/2.14.2/gconf/gconf.xml.defaults". I compiled and
installed "by the dev book". After doing all this I decided to go back
and see what my "make install" said and I got errors I don't remember
seeing when I first did the original compile and install. I get the
following errors for whichever game comes first in the list. If I move
that game to the end of the list I get the same errors for whichever
game is now first in the list. The last lines read: What really confuses
me is that as I said this all worked for a while (read that: until I
tried changing my theme).

g++ -DORBIT2=1 -pthread -I/usr/include/atk-1.0
- -I/usr/include/libgnome-2.0 -I/usr/include/glib-2.0
- -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0
- -I/usr/include/libbonobo-2.0 -I/usr/include/gconf/2
- -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
- -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0
- -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0
- -I/usr/include/libart-2.0 -I/usr/include/libbonoboui-2.0
- -I/usr/include/gnome-keyring-1 -I/usr/include/pango-1.0
- -I/usr/local/include/freetype2 -I/usr/local/include
- -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/libxml2
- -I/usr/include/librsvg-2 -I../libgames-support -g -O2 -Wall -Wno-unused
- -Wshadow -Woverloaded-virtual -g -O2 -o gnometris main.o blocks.o
preview.o blockops.o field.o highscores.o renderer.o scoreframe.o
sound.o tetris.o -Wl,--export-dynamic -pthread
../libgames-support/.libs/libgames-support.a -L/usr/X11R6/lib64
/usr/lib/libgnomeui-2.so -lSM -lICE /usr/lib/libbonoboui-2.so
/usr/lib/libgnome-keyring.so /usr/lib/libxml2.so -lz
/usr/lib/libgnomecanvas-2.so /usr/lib/libgnome-2.so /usr/lib/libpopt.so
/usr/lib/libart_lgpl_2.so /usr/lib/libpangoft2-1.0.so
/usr/lib/libgnomevfs-2.so /usr/lib/libbonobo-2.so /usr/lib/libgconf-2.so
/usr/lib/libbonobo-activation.so /usr/lib/libORBit-2.so
/usr/lib/libgthread-2.0.so /usr/lib/libgtk-x11-2.0.so
/usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so
/usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so
/usr/lib/libcairo.so /usr/lib/librsvg-2.so /usr/lib/libgdk_pixbuf-2.0.so
/usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl
/usr/lib/libglib-2.0.so /usr/lib/libesd.so /usr/lib/libaudiofile.so -lm
/usr/lib/libgnome-2.so: undefined reference to `poptBadOption at LIBPOPT_0'
/usr/lib/libgnome-2.so: undefined reference to `poptGetContext at LIBPOPT_0'
/usr/lib/libgnome-2.so: undefined reference to `poptStrerror at LIBPOPT_0'
/usr/lib/libbonoboui-2.so: undefined reference to
`poptGetInvocationName at LIBPOPT_0'
/usr/lib/libgnome-2.so: undefined reference to `poptHelpOptions at LIBPOPT_0'
/usr/lib/libgnome-2.so: undefined reference to `poptFreeContext at LIBPOPT_0'
/usr/lib/libgnome-2.so: undefined reference to `poptGetNextOpt at LIBPOPT_0'
collect2: ld returned 1 exit status
make[2]: *** [gnometris] Error 1
make[2]: Leaving directory `/usr/src/secondary/gnome-games-2.14.2/gnometris'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/usr/src/secondary/gnome-games-2.14.2/gnometris'
make: *** [install-recursive] Error 1

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFANFJI9lqJPlLBqQRApdKAJ9QH+rKywApADRmVUXA2z6HFSbEIACcDfuB
LqKEz53WW9Q8QiOYF5bH4w0=
=zw9R
-----END PGP SIGNATURE-----



More information about the blfs-support mailing list